Bug 162273 - PHP, C++ and JavaSE distributions contain the (irrelevant) Servers node
PHP, C++ and JavaSE distributions contain the (irrelevant) Servers node
Status: RESOLVED FIXED
Product: serverplugins
Classification: Unclassified
Component: Infrastructure
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Jaroslav Tulach
issues@serverplugins
: ERGONOMICS
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-09 08:49 UTC by Petr Jiricka
Modified: 2009-04-11 19:06 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Jiricka 2009-04-09 08:49:50 UTC
Using the PHP or C++ or JavaSE distribution of NetBeans (build 20090409):

Go to Services tab. Services tab contains the Servers node, which is irrelevant to these distributions and clutters the UI.
Comment 1 Tomas Mysik 2009-04-09 13:37:54 UTC
I see, it's time to update PHP tutorials :)
Comment 2 John Jullion-ceccarelli 2009-04-09 14:46:42 UTC
Personally I don't find this to be a regression. We're allowed to change the way the IDE behaves between releases. This
change just means that, in the All distro (where it is reasonable to expect people will use one of the many project
types that requires a server) the Servers node is visible at all times. Doesn't block any work or cause previously
functioning functionality to stop working.
Comment 3 Petr Jiricka 2009-04-09 14:52:14 UTC
> This change just means that, in the All distro

No, this is not about the All distro. This is about the other small, targeted distributions.
I agree that in the All distro it should be visible all the time - *that* is desirable.
Comment 4 Jaroslav Tulach 2009-04-10 11:01:17 UTC
OK, I am reverting 149aa862edd5 and this issue shall be fixed as soon as ergonomics#6a65566a4500 is propagated.
Comment 5 Quality Engineering 2009-04-11 19:06:45 UTC
Integrated into 'main-golden', will be available in build *200904111401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/6a65566a4500
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #162273: Reverting again to original glassfish setup. glassfish-common is autoload, others are regular modules. This will make sure that no servers node is present in PHP and C++ distributions.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo